- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# CreateShadowedScene.cpp File Reference

`#include <osg/Texture2D>`
`#include <osg/TexGen>`
`#include <osg/Material>`
`#include <osg/LightSource>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osgUtil/CullVisitor>`
`#include <osgUtil/RenderToTextureStage>`
`#include "CreateShadowedScene.h"`

Include dependency graph for CreateShadowedScene.cpp:

## Functions
osg::Group * | createShadowedScene (osg::Node *shadower, osg::Node *shadowed, const osg::Vec3 &lightPosition, float radius, unsigned int textureUnit)

## Function Documentation

osg::Group* createShadowedScene | ( | osg::Node * | shadower,
|  | osg::Node * | shadowed,
|  | const osg::Vec3 & | lightPosition,
|  | float | radius,
|  | unsigned int | textureUnit
| ) |